Subject: Re: [RFC][PATCH 2.6.12-rc2 3/3] FCC Ethernet PlatformDevice support for 82xx

From: Pantelis Antoniou <[email-masked]>
Date: Thu, 05 May 2005 14:21:27 +0300

Vitaly Bordug wrote:
> This patch contains actual Ethernet driver on platform bus. Currently 
> tested on MPC8272ADS  (PQII) board.
> 

[snip]

Hi Vitaly

Since I'm also working on this, lets try to merge our work in
one driver.

A few points regarding my driver.

1) It currently supports both 8xx FEC, 82xx FCCs.
2) It will also support SCC ENETS on both 8xx & 82xx, and
    FECs on coldfire's & 52xx's.
3) We should treat the current MII logic as temporary since
    Andy Flemming has a replacement by a MII bus.

Regarding your driver, there are a couple of things it
does arguably better than mine.

1) It has more complete platformization.
2) Adjustuble ring sizes.

And here are some gripes.

1) I'm not a proponent of having drivers configuring pins,
    clocks & other things that are properties of each specific board.
    I'd rather have the bootloader or the platform initialization
    handle it once, and have the driver just use these settings.
    Opinions on this matter differ however :).
2) There are a number of platform defines that are not needed.

Well, what do you think?

Regards

Pantelis